using ComputerShopContracts.BindingModels;
using ComputerShopContracts.SearchModels;
using ComputerShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopContracts.StorageContracts
{
    public interface IEquipmentReceivingStorage 
    {
        List<EquipmentReceivingViewModel> GetFullList();
        List<EquipmentReceivingViewModel> GetFilteredList(EquipmentReceivingSearchModel model);
        EquipmentReceivingViewModel? GetElement(EquipmentReceivingSearchModel model);
        EquipmentReceivingViewModel? Insert(EquipmentReceivingBindingModel model);
        EquipmentReceivingViewModel? Update(EquipmentReceivingBindingModel model);
        EquipmentReceivingViewModel? Delete(EquipmentReceivingBindingModel model);
    }
}
